import java.util.Arrays;

public class DemoArrays
{
    public static void main(String[] args) {
        // initiation of a primitive array
        int[] intArray;
        intArray = new int[3];
        intArray[0] = 1;
        intArray[1] = 2;
        intArray[2] = 3;
        
        int[] a2 = intArray;
        a2[1] = 10; // the intArray is affected as well!
        
        int[] a3 = new int[intArray.length];
        for (int i = 0; i < intArray.length; i++) { // manual copy
            a3[i] = intArray[i];
        }        
        // System copy to allocated(!) array a3
        System.arraycopy(intArray, 0, a3, 0, intArray.length);
        
        // Copy with automatic allocation
        a3 = Arrays.copyOf(intArray, intArray.length);
        
        // initializatin of an object array
        String[] strArray = new String[3];
        strArray[0] = "a";
        strArray[1] = "b";
        strArray[2] = "c";
        
        // predefined arrays
        int[] a4 = new int[]{1,2,3};
        String[] a5 = new String[]{"a","b","c"};
    }
}
